/*
    StundenplanGenerator is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 */
/* ========================================================================== */
/*                                                                            */
/*   Stundenplangenerator.cs                                                  */
/*   (c) 2007 Tobias Gafner                                                   */
/*                                                                            */
/*   Prime Maintainer of this File: Tobias Gafner                             */
/*                                                                            */
/*   Erstellt aufgrund von Infos aus Dateien einen Stundenplan                */
/*                                                                            */
/* ========================================================================== */
using System;
using System.Text;
using System.IO;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
public class Option
{
	public System.Windows.Forms.Button btnOK;
    public System.Windows.Forms.Button btnCancel;
    public System.Windows.Forms.GroupBox[] Box;
    public System.Windows.Forms.CheckBox[] AuswahlB;
    public bool testumgebung;
    public int A0=0;
    public int zErst=0;
    public int A1=0;
    public int A2=0;
    public int A3=0;
    public int A4=0;
    public int Zaehler;
	public void Testsystem(string info, string methode) {
    	if(testumgebung==true)
    	{
    		Form form1 = new Form();
    		Button button1 = new Button ();  
    		button1.Text = "OK";
    		button1.Location = new System.Drawing.Point(5,5);
    		Label label = new Label();         
    		label.TabIndex = 0;
    		label.Text = "Ausgabe:\n -------\n"+info+"\n ------\n \n In der Methode/Stelle: \n"+methode;
    		label.AutoSize = true;
    		label.Location = new System.Drawing.Point(10,35);
    		button1.DialogResult = DialogResult.OK;
    		form1.Text = "Testsystem Meldung";
   			form1.AutoScroll = true;
    		form1.FormBorderStyle = FormBorderStyle.FixedDialog;
    		form1.AcceptButton = button1;
    		form1.BackColor = System.Drawing.Color.Moccasin;
    		form1.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
    		form1.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
    		form1.ClientSize = new System.Drawing.Size(350, 200);
    		form1.StartPosition = FormStartPosition.CenterScreen;
    		form1.Controls.Add(button1);
    		form1.Controls.Add(label);   
    		form1.ShowDialog();    
    	}
	}	
    public void CheckVar()
    {
    	A0=1;
    	A1=1;
    	A2=1;
    	A3=1;
    }   
	public void Window(object sender, EventArgs e)
	{
		Form window = new Form();
		btnOK = new System.Windows.Forms.Button();
		btnCancel = new System.Windows.Forms.Button();
		// btnOK			
		btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
		btnOK.Location = new System.Drawing.Point(176, 154);
		btnOK.Size = new System.Drawing.Size(75, 23);
		btnOK.TabIndex = 0;
		btnOK.Text = "bernehmen";
		btnOK.UseVisualStyleBackColor = true;
		btnOK.Click += new System.EventHandler(this.BtnOKClick); 
		// btnCancel
		btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
		btnCancel.Location = new System.Drawing.Point(267, 154);
		btnCancel.Size = new System.Drawing.Size(75, 23);
		btnCancel.TabIndex = 1;
		btnCancel.Text = "Abbrechen";
		btnCancel.UseVisualStyleBackColor = true;			
		// groupBox1
		Box = new GroupBox[2]; 
        for(int i = 0; i < 2; i++)
        {   
        	Box[i] = new GroupBox();         	
            Box[i].TabStop = false;
        }                           		                        			
		AuswahlB = new CheckBox[5];
        for(int i = 0; i < 5; i++)
        {
        	AuswahlB[i] = new CheckBox();  
            AuswahlB[i].AutoSize = true;
			if(i!=4) AuswahlB[i].Size = new System.Drawing.Size(59, 17);
			if(i!=4) AuswahlB[i].TabIndex = 3;
			AuswahlB[i].TabStop = true;
			AuswahlB[i].AutoCheck = true;
		    if(zErst==0 && i!=4)  AuswahlB[i].Checked = true;		        
			AuswahlB[i].Cursor = System.Windows.Forms.Cursors.PanNW;
			if(i!=4) AuswahlB[i].Enabled = true;
		 	AuswahlB[i].UseVisualStyleBackColor = true;
      	}
        zErst++;
        if(A0==1) AuswahlB[0].Checked = true;
        if(A1==1) AuswahlB[1].Checked = true;
        if(A2==1) AuswahlB[2].Checked = true;
        if(A3==1) AuswahlB[3].Checked = true;
        AuswahlB[2].Text = "Dozent";
        AuswahlB[3].Text = "Raum";
        AuswahlB[0].Text = "Nr. der Vorlesung";
        AuswahlB[1].Text = "Name der Vorlesung";
        AuswahlB[0].Location = new System.Drawing.Point(17, 85);
        AuswahlB[1].Location = new System.Drawing.Point(17, 66);
        AuswahlB[2].Location = new System.Drawing.Point(17, 43);
        AuswahlB[3].Location = new System.Drawing.Point(17, 20);           
        string status;
        if(testumgebung == true) status="An"; else status="Aus";          
        Label label = new Label();
        label.Text = "Status: "+status;
        label.Location = new System.Drawing.Point(17, 33);           
		AuswahlB[4].Location = new System.Drawing.Point(17, 53);
		AuswahlB[4].Size = new System.Drawing.Size(38, 17);
		AuswahlB[4].TabIndex = 2;
		AuswahlB[4].Text = "An";
		AuswahlB[4].Enabled = false;
		// groupBox
		Box[0].Controls.Add(AuswahlB[0]);
		Box[0].Controls.Add(AuswahlB[1]);
		Box[0].Controls.Add(AuswahlB[2]);
		Box[0].Controls.Add(AuswahlB[3]);
		Box[0].TabIndex = 2;
		Box[0].Location = new System.Drawing.Point(36, 12);
		Box[0].Size = new System.Drawing.Size(148, 108);
		Box[0].Text = "Ausgabe/Ansicht";
		Box[1].Controls.Add(label);
		Box[1].Controls.Add(AuswahlB[4]);
		Box[1].Location = new System.Drawing.Point(204, 12);
		Box[1].Size = new System.Drawing.Size(152, 86);
		Box[1].TabIndex = 3;
		Box[1].Text = "Testsystem(fr Entwickler)"; 
		// Form2
		window.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
		window.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		window.ClientSize = new System.Drawing.Size(368, 196);
		window.Controls.Add(Box[0]);
		window.Controls.Add(Box[1]);
		window.Controls.Add(btnCancel);
		window.Controls.Add(btnOK);
		window.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
		window.Text = "Optionen";
        window.FormBorderStyle = FormBorderStyle.FixedDialog;
        window.AcceptButton = btnOK;
        window.StartPosition = FormStartPosition.CenterScreen; 
        window.ShowDialog(); 
	}
	void BtnOKClick(object sender, System.EventArgs e)
	{
	     A0=0; A1=0; A2=0; A3=0; A4=0;
		 if (AuswahlB[0].Checked) A0=1;
		 if (AuswahlB[1].Checked) A1=1;
		 if (AuswahlB[2].Checked) A2=1;
		 if (AuswahlB[3].Checked) A3=1;
		 if (AuswahlB[4].Checked)
		 {
        	 testumgebung = true;
         } else {
    	     testumgebung = false;
         }
	}
	public void ConAus(string ausgabe,string info)
	{
		Console.WriteLine("Info: "+info+"\n\n"+"Ausgabe: \n------\n"+ausgabe);
	}
	public void Z()
	{
		Zaehler++;
		Console.WriteLine(Zaehler);
	}
	
}
class datei{
    public Option Option = new Option ();
    public string zeilen;
    public int zaehler;
    public string[,] inhalt;
    public int zeilen_anzahl(string dateiname, int option)
    {
        StreamReader datei = new StreamReader(dateiname);
        zeilen = datei.ReadLine();
        zaehler = 0;
        while (zeilen != null)
        {            
            zaehler++;
            zeilen = datei.ReadLine();     
        }
        datei.Close();
        inhalt = new string [zaehler,option];
        return zaehler;  
    }
    public string datei_lesen(string dateiname)
    {
    StreamReader datei_zwei = new StreamReader(dateiname);
    string aa = datei_zwei.ReadToEnd();
    datei_zwei.Close();
    return aa;   
    }
    public string inhalt_zeigen(int option)
    {        
        int ac = 0;
        int b = 0;
        string ausgabe_in = "";
        string test09 ="";
        string test12 = zaehler.ToString();
        Option.Testsystem(test12,"Inhaltzeigen - Zhler");
        for (int ii = 0; ii < zaehler; b++)
        {
            ausgabe_in = ausgabe_in + "\n" + inhalt[ii, ac];
            test09 +=inhalt[ii,ac]+"\n";
            if(inhalt[ii,ac]== null) return ausgabe_in;
            ac++;
            if (ac == option)
            {
                ii++;
                ac = 0;
            }
        }
        Option.Testsystem(test09,"Inhaltzeigen - Inhalt von der Variable Inhalt");
        return ausgabe_in;
    } 
    public string [,] datei_save(string aa, int option)
    {
        string[] second_d;
        second_d = aa.Split(new char[] {';'});
        string cache ="";
        int zahl = 0;
        int two_zahl = 0;
        string test10 ="";
        string test11 = zaehler.ToString();
        Option.Testsystem(test11,"Dateisave - Zhler");
        foreach(string a in second_d)
        {

            if(zahl==zaehler) break;
            cache = a.Trim();
            if (cache == "")
            {
            	return inhalt;
            }
            test10 +=cache+"\n";
            inhalt[zahl,two_zahl] = cache;
            two_zahl++;
            if(two_zahl>=option)
            {
            	two_zahl=0;
                zahl++;
        	}          
       	}
        Option.Testsystem(test10,"Dateisave - cache"); 
        return inhalt;
    }
}
public class MeinFenster : Form
{
	int count=0;
	public string ausgabe_d;
	public string tester;
	public string[,] cacher1;
	public string[,] cacherR;
	public string[,] RaumMo;
	public string[,] RaumDi;
	public string[,] RaumMi;
	public string[,] RaumDo;
	public string[,] RaumFr;
	public string[,] RaumA;
	public string[,] plan;
	public string[,,] Vorlesung;
	
	public Option Option = new Option ();
	public int cacherAZ = 0;
	public int cacherBZ = 0;
	public int cacherCZ = 0;
	public int ansicht=0;
	public string datum;
	private System.Windows.Forms.Label[] label;
	private System.Windows.Forms.Label[] label2;
	private System.Windows.Forms.Label[] labeltag;
	private System.Windows.Forms.Label[] labeluhr;
    private void OtherInitialize()
    {
       this.Closing += new CancelEventHandler(this.Form1_Cancel);
    }
    protected void Form1_Cancel (Object sender, CancelEventArgs e)
    {
  		DialogResult dr = 
      	MessageBox.Show("Wollen Sie die Anwendung beenden?","Schlieen?",MessageBoxButtons.YesNo,
        MessageBoxIcon.Question,MessageBoxDefaultButton.Button2);
  		if(dr == DialogResult.No)
    	e.Cancel = true;
    }
    public void Gehen(object sender, EventArgs e)
    {
     	Close();   
    }
	public void Einlesen(object sender, EventArgs e)
	{
        datei zeilen_lesen = new datei();
        datei raum = new datei();
        raum.zeilen_anzahl("raum.txt",3);
        zeilen_lesen.zeilen_anzahl("vorlesungen.txt",4);
        string bb = raum.datei_lesen("raum.txt");
        string aa = zeilen_lesen.datei_lesen("vorlesungen.txt");
        aa = aa.Trim();
        bb = bb.Trim();
        zeilen_lesen.datei_save(aa,4);
        raum.datei_save(bb,3);
        cacher1 = new string [zeilen_lesen.zaehler,4];
        cacher1 = zeilen_lesen.inhalt;
        int zahl1=0;
    	int zahl2=0;
    	int zahl3=0;   
        cacherAZ=0;
        cacherBZ=0;
        cacherCZ=0;
        Vorlesung = new string [3,zeilen_lesen.zaehler,4];
    	for (int ii = 0; ii < cacher1.Length/4; ii++)
        {            
        	if((Compare(cacher1[ii,0],"WI200")<0) && (Compare(cacher1[ii,0],"WI100")>=0))
        	{
        		for(int vvv=0;vvv<4;vvv++)
        		{
        		Vorlesung[0,zahl1,vvv]=cacher1[ii,vvv];
        		cacher1[ii,vvv]=null;
        		}
        		zahl1++;
          		cacherAZ=zahl1;
        	}
    		else if((Compare(cacher1[ii,0],"WI300")<0) && (Compare(cacher1[ii,0],"WI200")>=0))
    		{
    			for(int vvv=0;vvv<4;vvv++)
        		{
        		Vorlesung[1,zahl2,vvv]=cacher1[ii,vvv];
        		cacher1[ii,vvv]=null;
        		}
        		zahl2++;
          		cacherBZ=zahl2;                  		
        	}   
        	else if(Compare(cacher1[ii,0],"WI400")<0 && Compare(cacher1[ii,0],"WI300")>=0)
        	{
        		for(int vvv=0;vvv<4;vvv++)
        		{
        		Vorlesung[2,zahl3,vvv]=cacher1[ii,vvv];
        		cacher1[ii,vvv]=null;
        		}
        		zahl3++;
          		cacherCZ=zahl3;
			}
    		else
    		{
    			Fehlerausgabe("Error <=> anscheinend ist eine Vorlesung vorhanden mit einer Unzulssigen Nummer"+cacher1[ii,0]);
    		}
		}       
        //Raum berechner
        cacherR = raum.inhalt;
        RaumA = new string [30,cacherR.Length/3];
        string[] tag;
        tag = new string[5];
        tag[0]="Montag";
        tag[1]="Dienstag";
        tag[2]="Mittwoch";
        tag[3]="Donnerstag";
        tag[4]="Freitag";
        string[] uhrzeit;
        uhrzeit = new string[6];
        uhrzeit[0]="8:00";
        uhrzeit[1]="9:50";
        uhrzeit[2]="11:30";
        uhrzeit[3]="14:00";
        uhrzeit[4]="15:40";
        uhrzeit[5]="17:20";
        string test001="";
        int tagzahl=0;
        int uhrzahl=0;
        for(int delta=0;delta<30;delta++)
        {
        	int raumzahl=0;
        	if(tagzahl>=5) tagzahl=0;
        	if(uhrzahl>=6) uhrzahl=0;
        	for(int omega=0;omega<cacherR.Length/3;omega++)
        	{
        		if(cacherR[omega,1]==tag[tagzahl] && cacherR[omega,2]==uhrzeit[uhrzahl])
        		{
        			test001+=cacherR[omega,0]+"\n";
        			RaumA[delta,raumzahl]=cacherR[omega,0];
        			raumzahl++;
        			cacherR[omega,0]=null;
        			cacherR[omega,1]=null;
        			cacherR[omega,2]=null;        			
        		}
        	}
        	tagzahl++;
        	uhrzahl++;
        }
        ausgabe_d = zeilen_lesen.inhalt_zeigen(4);
        Option.Testsystem(test001,"Raum");
        Info("Daten wurden erfolgreich eingelesen");
	}
	public void VorlesungB(int aa, int xxx, int semes, int Semester)
	{
		int intcache =0;
		int zwWert=0;  
   		intcache=Convert.ToInt32(Vorlesung[Semester,aa,3])-2;
   		Vorlesung[Semester,aa,3]=intcache.ToString();
  		plan[xxx,semes]=Vorlesung[Semester,aa,0];
   		zwWert=semes+1; 
   		plan[xxx,zwWert]=Vorlesung[Semester,aa,1];
   		zwWert=semes+2;
   		plan[xxx,zwWert]=Vorlesung[Semester,aa,2]; 
   		if(intcache<=0)
   		{
    		Vorlesung[Semester,aa,0]=null;
    		Vorlesung[Semester,aa,1]=null;
    		Vorlesung[Semester,aa,2]=null;
    		Vorlesung[Semester,aa,3]="0";
   		} 			      
	}
	public void mischen()
	{
		
	}
	public void semestereins(object sender, EventArgs e)
	{
    	refresh(2);   
	}
	public void semesterzwei(object sender, EventArgs e)
	{
    	refresh(6);   
	}
	public void semesterdrei(object sender, EventArgs e)
	{
    	refresh(10);   
	}
 	public int Compare(string x, string y)
 	{
        return String.Compare(x,y);
	}
	void refresh(int wert)
	{
		if(ausgabe_d==null || count!=2 )
		{
			Fehlerausgabe("Zu erst mssen die Daten eingelesen werden und ein Stundenplan erstellt werden");
			return;
		}else{
    		for(int rrr=0;rrr<30;rrr++)
        	{
        		label[rrr].Text = "";
        		if(Option.A0==1) label[rrr].Text += plan[rrr,wert]+"\n";
        		if(Option.A1==1) label[rrr].Text += plan[rrr,wert+1]+"\n";
        		if(Option.A2==1) label[rrr].Text += plan[rrr,wert+2]+"\n";
        		if(Option.A3==1 && plan[rrr,wert+3]!=null ) label[rrr].Text += "( "+plan[rrr,wert+3]+" )";
        	}
    		string sema="";
    		if(wert==2) sema = "1.Semester";
    		if(wert==6) sema = "2.Semester";
    		if(wert==10) sema = "3.Semester";
    		label2[0].Text="CopyRight by Tobias Gafner -- Erstelldatum: "+datum +" -- Anzeige von:"+sema ;
   		}
	}
	public void Raumverteilung(int zzz, int Semester1, int xxx1, int bu2)
	{
		int pruefer=0;
    	for(int cxx=0;cxx<3;cxx++)
    	{
    		if(RaumA[xxx1,cxx]!=null)
    		{	
    			VorlesungB(bu2,xxx1,zzz,Semester1);
    			plan[xxx1,zzz+3]=RaumA[xxx1,cxx];
    			RaumA[xxx1,cxx]=null;
    			pruefer=1;
    			break;
    		}    
    	}    	
    	if(pruefer==0)plan[xxx1,zzz+3]=null;
	}
	public void verteilung(int TUZahl,int begin,int deltaWert,int special)
	{
		Option.Zaehler=0;
		Option.CheckVar();
		string[] uhr;
		uhr = new string[6];
		uhr[0]="8:00";
		uhr[1]="9:50";
		uhr[2]="11:30";
		uhr[3]="14:00";
		uhr[4]="15:40";
		uhr[5]="17:20";
		string[] tag;
		tag = new string[5];
		tag[0]="Montag";
		tag[1]="Dienstag";
		tag[2]="Mittwoch";
		tag[3]="Donnerstag";
		tag[4]="Freitag";
		int zeller=0;
		int delta=deltaWert;
		int aa=0;
		int dd=0;
		int ww=0;
		int erstes=0;
		int zweites=0;
		int drittes=0;
		for(int xxx=begin; xxx<TUZahl; xxx++)
		{
    		if(xxx==special) xxx++;
    		if(xxx>=TUZahl) break;
    		erstes=0;
    		zweites=0;
    		drittes=0;
  			plan[xxx,0]=tag[zeller];
  			zeller++;
  			plan[xxx,1]=uhr[delta];
  			if(zeller>=5)
  			{
    			zeller=0;
    			delta++;
  			}
			while(plan[xxx,2]==null)
			{
      			if(aa>=cacherAZ) aa=0;   
				if((Convert.ToInt32(Vorlesung[0,aa,3]))>0)
				{
					Raumverteilung(2,0,xxx,aa);
				}else
				{
     				plan[xxx,2]=null;          
    			}
				aa++;
				if(erstes==cacherAZ)break;
				erstes++;
			}  
			while(plan[xxx,6]==null)
			{
      			if(dd>=cacherBZ) dd=0;           
				if((Compare(Vorlesung[1,dd,2],plan[xxx,4]))!=0 && (Vorlesung[1,dd,2]!=null) && (Convert.ToInt32(Vorlesung[1,dd,3])>0))
				{
					Raumverteilung(6,1,xxx,dd);         
    			}else
				{
     				plan[xxx,6]=null;          
    			}
				dd++;
				if(zweites==cacherBZ)break;
				zweites++;
			}
			while(plan[xxx,10]==null)
			{
      			if(ww>=cacherCZ)
     			{
      				ww=0;
      			}  
				if((Compare(Vorlesung[2,ww,2],plan[xxx,8]))!=0 && (Compare(plan[xxx,4],Vorlesung[2,ww,2]))!=0 && (Vorlesung[2,ww,2]!=null) && (Convert.ToInt32(Vorlesung[2,ww,3])>0))
				{
					Raumverteilung(10,2,xxx,ww); 
    			}else
				{
     				plan[xxx,10]=null;          
    			}
  				ww++;
  				if(drittes==cacherCZ)break;
  				drittes++;
  			}
 		}
	}
	public void erstellen(object sender, EventArgs e)
	{
		if(ausgabe_d==null)
		{
			Fehlerausgabe("Zu erst mssen die Daten eingelesen werden");
			return;
		}
		plan = new string [30,14];
		verteilung(15,0,0,-1);
		//Nachmittag Mo-Fr ab 14:00
		verteilung(30,15,3,-1);
		DateTime myDT = DateTime.Now;		
		datum = myDT.ToString("G");
		int ge=cacherCZ+cacherAZ+cacherBZ;
		string[,] uebrig = new string[ge,4];
		int Aer=0;
		for(int www=0;www<3;www++)
		{
			int chLaenge=0;
			if(www==0) chLaenge=cacherAZ;
			if(www==1) chLaenge=cacherBZ;
			if(www==2) chLaenge=cacherCZ;     
			for(int zzz=0;zzz<chLaenge;zzz++)
			{
        			if(Vorlesung[www,zzz,0]!=null)
        			{
            			for(int hoch=0;hoch<4;hoch++)
            			{
             				uebrig[Aer,hoch]=Vorlesung[www,zzz,hoch];                   
            			}
            			Aer++;           
        			}
			}
		}
		if(uebrig[0,0]!=null)
		{
        	string text = "Es konnten nicht alle Vorlesungen verteilt werden. Folgende Vorlesungen sind brig: \n  ";
        	int punkte=0;
        	text=text + "------ \n";
       		for(int uuu=0;uuu<uebrig.Length/4;uuu++)
        	{
       			punkte++;
         		if(uebrig[uuu,0]!=null) text = text + "\n"+ punkte + ".)" + uebrig[uuu,0]+" / " +uebrig[uuu,1]+" / " + uebrig[uuu,2]+" / " + uebrig[uuu,3];    
        	}        
			DialogResult dr = MessageBox.Show(text , "Problem",MessageBoxButtons.OK,MessageBoxIcon.Error,MessageBoxDefaultButton.Button2);
  			if(dr == DialogResult.OK)
  			{
				for(int fff=0;fff<uebrig.Length/4;fff++)
				{
    				uebrig[fff,0]=null;
    				uebrig[fff,1]=null;
    				uebrig[fff,2]=null;
    				uebrig[fff,3]=null;
				}
  			}
		}else
		{
    		Info("Es wurde erfolgreich ein Stundenplan erstellt");
    		count=2; 
		}  
	}
	private void version(object sender, EventArgs e)
	{
	DialogResult dr = MessageBox.Show("Studenplan Generator V 1.0 \n \n Sprache:C# \n Fach:Programmieren 2 \n Author:Tobias Gafner \n \n C# 2.0", "Version");
	}
	private void Fehlerausgabe(string fehler)
	{
	DialogResult dr = MessageBox.Show(fehler , "Error",MessageBoxButtons.OK,MessageBoxIcon.Error);
	}
	private void Info(string info)
	{
	DialogResult dr = MessageBox.Show(info , "Meldung",MessageBoxButtons.OK,MessageBoxIcon.Information);
	}
	public MeinFenster()
	{
	    MainMenu menu = new MainMenu (); 
        MenuItem item = menu.MenuItems.Add ("&Options"); 
        MenuItem item2 = menu.MenuItems.Add ("Programm");
        MenuItem item3 = menu.MenuItems.Add ("?");
        item3.MenuItems.Add (new MenuItem ("Version",new EventHandler (version)));
        item2.MenuItems.Add (new MenuItem ("Datei einlesen",new EventHandler (Einlesen)));
        item2.MenuItems.Add (new MenuItem ("Stundenplan erstellen",new EventHandler (erstellen)));       
        item2.MenuItems.Add ("-");
        item2.MenuItems.Add (new MenuItem ("1.Semester",new EventHandler (semestereins)));
        item2.MenuItems.Add (new MenuItem ("2.Semester",new EventHandler (semesterzwei)));
        item2.MenuItems.Add (new MenuItem ("3.Semester",new EventHandler (semesterdrei)));
        item.MenuItems.Add (new MenuItem ("Einstellungen",new EventHandler (Option.Window)));
        item.MenuItems.Add ("-"); 
        item.MenuItems.Add (new MenuItem ("E&xit",new EventHandler (Gehen))); 
        Menu = menu; 	   
	    System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
	    tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
	    tableLayoutPanel1.SuspendLayout();
	    this.SuspendLayout();
        labeluhr = new Label[6];
       
        for(int i = 0; i < 6; i++)
        {
        	labeluhr[i] = new Label();
            labeluhr[i].TabIndex = 0;
            labeluhr[i].TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            labeluhr[i].BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            labeluhr[i].Dock = System.Windows.Forms.DockStyle.Fill;
            labeluhr[i].Size = new System.Drawing.Size(50, 30);  
        }
        labeluhr[0].Text="08:00";
        labeluhr[1].Text="09:50";
        labeluhr[2].Text="11:30";
        labeluhr[3].Text="14:00";
        labeluhr[4].Text="15:40";
        labeluhr[5].Text="17:20";
        labeltag = new Label[5];
        for(int i = 0; i < 5; i++)
        {
    	    labeltag[i] = new Label();
            labeltag[i].TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            labeltag[i].BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            labeltag[i].Dock = System.Windows.Forms.DockStyle.Fill;
            labeltag[i].TabIndex = 0;
            labeltag[i].Size = new System.Drawing.Size(130, 25);
        }
   	    labeltag[0].Text = "Montag";
        labeltag[1].Text = "Dienstag";
        labeltag[2].Text = "Mittwoch";
        labeltag[3].Text = "Donnerstag";
        labeltag[4].Text = "Freitag";
        tableLayoutPanel1.AutoSize = true;
        tableLayoutPanel1.ColumnCount = 6;
		for(int pop=1;pop<6;pop++)
        {
        	tableLayoutPanel1.Controls.Add(labeltag[pop-1], pop, 0);	
        }
        for(int kok=1;kok<7;kok++)
        {
        	tableLayoutPanel1.Controls.Add(labeluhr[kok-1], 0, kok);	
        }
        label = new Label[30];
        for(int i = 0; i < 30; i++)
        {
    	    label[i] = new Label();
            label[i].BackColor = Color.White;             
            label[i].TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            label[i].Dock = System.Windows.Forms.DockStyle.Fill;
            label[i].TabIndex = 0;
            label[i].AutoSize = true;
        }
        label2 = new Label[1];
        for(int i = 0; i < 1; i++)
        {
    	    label2[i] = new Label();
            //label2[i].BackColor = Color.White;             
            label2[i].TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            label2[i].Dock = System.Windows.Forms.DockStyle.Bottom;
            label2[i].TabIndex = 0;
            label2[i].AutoSize = true;
            label2[i].Text="CopyRight by Tobias Gafner";
        }
        int ooo=0;
        for(int one=1;one<7;one++)
        {
        	for(int two=1;two<6;two++)
            {                                    
                tableLayoutPanel1.Controls.Add(label[ooo], two, one);
                ooo++;
            }
        }
        tableLayoutPanel1.Location = new System.Drawing.Point(0, 0);
        tableLayoutPanel1.Name = "tableLayoutPanel1";
        tableLayoutPanel1.RowCount = 7;
		tableLayoutPanel1.TabIndex = 0;
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 50F));
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 150F));
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 150F));
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 150F));
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 150F));
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 150F));
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 25F));
        tableLayoutPanel1.Dock = System.Windows.Forms.DockStyle.Top;
        AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
        AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
		AutoScroll = true;
		ClientSize = new System.Drawing.Size(800, 400);
        Text = "Stundenplan Creator";
        RightToLeftLayout = true;
        StartPosition = FormStartPosition.CenterScreen;
        Controls.Add(tableLayoutPanel1);
        Controls.Add(label2[0]);
        tableLayoutPanel1.ResumeLayout(false);
        ResumeLayout(false);		  			
        OtherInitialize();
	}
}
class App 
{
	public static void Main() 
	{       
        Application.Run(new MeinFenster());
    }
}
